Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get entries
        • List directory
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • ListDirectoryBreadCrumb
  • EntryScope
  • ListDirectoryEntry
  1. DataLens Public API
  2. DataLens API
  3. Navigation
  4. List directory
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • ListDirectoryBreadCrumb
    • EntryScope
    • ListDirectoryEntry

List directory

Lists entries from the specified directory.

RequestRequest

POST

https://api.datalens.tech/rpc/listDirectory

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "path": "example",
  "createdBy": "example",
  "orderBy": {
    "field": "createdAt",
    "direction": "desc"
  },
  "filters": {
    "name": "example"
  },
  "page": 0.5,
  "pageSize": 0.5,
  "includePermissionsInfo": true
}

Name

Description

createdBy

Any of 2 types
  • Type: string

    Example: example

  • Type: string[]

    Example
    [
      "example"
    ]
    

Filter entries by creator.

Example: example

filters

Type: object

name

Type: string

Name used to filter entries.

Example: example

Filtering configuration.

Example
{
  "name": "example"
}

includePermissionsInfo

Type: boolean

Include permission information in response.

orderBy

Type: object

direction

Type: string

Entry sort direction.

Enum: desc, asc

field

Type: string

Field used to sort entries: creation date or name.

Enum: createdAt, name

Sorting configuration.

Example
{
  "field": "createdAt",
  "direction": "desc"
}

page

Type: number

Page number for pagination.

pageSize

Type: number

Number of entries per page.

path

Type: string

Directory path to list entries from.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "hasNextPage": true,
  "breadCrumbs": [
    {
      "title": "example",
      "path": "example",
      "entryId": "example",
      "isLocked": true,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      }
    }
  ],
  "entries": [
    {
      "entryId": "example",
      "key": "example",
      "scope": "dash",
      "type": "example",
      "meta": {},
      "createdAt": "example",
      "updatedAt": "example",
      "createdBy": "example",
      "updatedBy": "example",
      "savedId": "example",
      "publishedId": "example",
      "hidden": true,
      "workbookId": "example",
      "workbookTitle": "example",
      "collectionId": "example",
      "collectionTitle": "example",
      "isFavorite": true,
      "isLocked": true,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "name": "example"
    }
  ]
}

Name

Description

breadCrumbs

Type: ListDirectoryBreadCrumb[]

Navigation breadcrumbs for the current path.

Example
[
  {
    "title": "example",
    "path": "example",
    "entryId": "example",
    "isLocked": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    }
  }
]

entries

Type: ListDirectoryEntry[]

List of directory entries.

Example
[
  {
    "entryId": "example",
    "key": "example",
    "scope": "dash",
    "type": "example",
    "meta": {},
    "createdAt": "example",
    "updatedAt": "example",
    "createdBy": "example",
    "updatedBy": "example",
    "savedId": "example",
    "publishedId": "example",
    "hidden": true,
    "workbookId": "example",
    "workbookTitle": "example",
    "collectionId": "example",
    "collectionTitle": "example",
    "isFavorite": true,
    "isLocked": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    },
    "name": "example"
  }
]

hasNextPage

Type: boolean

Indicates if there are more pages.

ListDirectoryBreadCrumbListDirectoryBreadCrumb

Name

Description

entryId

Type: string

Entry ID of the breadcrumb item.

Example: example

isLocked

Type: boolean

Indicates if the item is locked.

path

Type: string

Path of the breadcrumb item.

Example: example

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the breadcrumb item.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

title

Type: string

Title of the breadcrumb item.

Example: example

Example
{
  "title": "example",
  "path": "example",
  "entryId": "example",
  "isLocked": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

ListDirectoryEntryListDirectoryEntry

Name

Description

collectionId

Type: string | null

ID of the collection the entry belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

isFavorite

Type: boolean

Indicates if the entry is marked as favorite.

isLocked

Type: boolean

Indicates if the entry is locked.

key

Type: string

Key identifier of the entry.

Example: example

meta

Type: object | null

Metadata associated with the entry.

Example
{}

name

Type: string

Name of the entry.

Example: example

publishedId

Type: string | null

Published version ID.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

type

Type: string

Type of the entry (e.g., dash, dataset, connection).

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

workbookId

Type: string

ID of the workbook the entry belongs to.

Example: example

collectionTitle

Type: string | null

Collection name.

Example: example

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the entry.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

workbookTitle

Type: string | null

Workbook name.

Example: example

Example
{
  "entryId": "example",
  "key": "example",
  "scope": "dash",
  "type": "example",
  "meta": {},
  "createdAt": "example",
  "updatedAt": "example",
  "createdBy": "example",
  "updatedBy": "example",
  "savedId": "example",
  "publishedId": "example",
  "hidden": true,
  "workbookId": "example",
  "workbookTitle": "example",
  "collectionId": "example",
  "collectionTitle": "example",
  "isFavorite": true,
  "isLocked": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "name": "example"
}

Was the article helpful?

Previous
Get entries
Next
Overview
© 2026 Direct Cursus Technology L.L.C.